Debian セキュリティ勧告

DSA-1278-1 man-db -- バッファオーバフロー

報告日時:
2007-04-06
影響を受けるパッケージ:
man-db
危険性:
あり
参考セキュリティデータベース:
Mitre の CVE 辞書: CVE-2006-4250.
詳細:

バッファオーバフローが man コマンドに発見されました。特別に細工した引数を -H フラグに与えることにより、man ユーザでのコードの実行を攻撃者に許す可能性があります。 これは man および mandb プログラムが setuid でインストールされているマシンでのみ問題となるようです。

安定版 (stable) ディストリビューション (sarge) では、この問題はバージョン 2.4.2-21sarge1 で修正されています。

次期安定版 (stable) ディストリビューション (etch) および不安定版 (unstable) ディストリビューション (sid) では、この問題はバージョン 2.4.3-5 で修正されています。

直ちに man-db パッケージをアップグレードすることを勧めます。

修正:

Debian GNU/Linux 3.1 (stable)

ソース:
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2.orig.tar.gz
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1.dsc
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1.diff.gz
Alpha:
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1_arm.deb
HP Precision:
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1_ia64.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1_m68k.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/m/man-db/man-db_2.4.2-21sarge1_sparc.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。